# tzxtools

This is a collection of command line tools for processing [TZX](http://www.worldofspectrum.org/TZXformat.html) files. TZX is a common file format for preserving computer tapes of the ZX Spectrum, but also Amstrad CPC and C64. All the _tzxtools_ are witten in Python 3.

## Installation

```sh
pip install tzxtools
```

## Tools

* `tzxcat` - Extracts file data from a TZX file
* `tzxcleanup` - Removes all clutter and leaves a clean tape file
* `tzxcut` - Cuts blocks from a TZX file
* `tzxls` - Shows the contents of a TZX file
* `tzxmerge` - Concatenates multiple TZX files into one file
* `tzxsplit` - Splits a TZX file into separate programs
* `tzxtap` - Converts a TZX file to TAP file format
* `tzxwav` - Converts WAV file tape recordings to TZX files

See the [documentation](https://shredzone.org/docs/tzxtools/index.html) for how the tools are used.

## Contribute

* Fork the [Source code at GitHub](https://github.com/shred/tzxtools). Feel free to send pull requests.
* Found a bug? [File a bug report!](https://github.com/shred/tzxtools/issues)

## License

_tzxtools_ is open source software. The source code is distributed under the terms of [GNU General Public License (GPLv3)](https://www.gnu.org/licenses/gpl-3.0.en.html#content).

## Acknowledgements

* I would like to thank all the people who keep the retro computing scene alive.
